import { StiBorder } from "../properties/StiBorder";
import { StiExceedMargins } from "../properties/StiExceedMargins";
import { StiUsedFontsList } from "../services/objects";
import { StiEditableContent, StiValueElement } from "../system/interfaces";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiBackgroundedAlignedTextItem } from "./text/StiBackgroundedAlignedTextItem";
export declare class StiLabelElement extends StiFormElement implements StiValueElement {
    type: string;
    exceedMargins: StiExceedMargins;
    text: StiBackgroundedAlignedTextItem;
    border: StiBorder;
    showBorderEditor: boolean;
    displayValue: string;
    value: any;
    hyperlink: string;
    constructor();
    get expression(): string;
    canUpdateProperty(propName: string): boolean;
    getUsedFonts(usedFonts: StiUsedFontsList): void;
    setProperty(propName: string, value: any, oldObject: any): void;
    getDefaultEditableContent(): StiEditableContent;
    htmlStyle(): string;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
